<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <title>Список продуктов</title>
</head>
<body>
<div class="container mt-5">
    <h3 class="mb-4">Список продуктов</h3>
    <table class="table table-bordered">
        <thead>
        <tr>
            <th>Название</th>
            <th>Цена</th>
            <th>Описание</th>
            <th>Дата добавления</th>
            <th>Дата изменения</th>
            <th>Действия</th>
        </tr>
        </thead>
        <tbody>
        {% for product in products %}
        <tr>
            <td>{{ product.name }}</td>
            <td>{{ product.price }}</td>
            <td>{{ product.description }}</td>
            <td>{{ product.create_date }}</td>
            <td>{{ product.update_date }}</td>
            <td>

                <a href="{% url 'detail' product.id %}" class="btn btn-info btn-sm">Детально</a>
                <a href="{% url 'edit' product.id %}" class="btn btn-warning btn-sm">Изменить</a>
                <a href="{% url 'delete' product.id %}" class="btn btn-danger btn-sm">Удалить</a>
            </td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    <a href="{% url 'create' %}" class="btn btn-danger btn-sm">Добавить новый продукт</a>
</div>
</body>
</html>
